org.apache.sysds.runtime.codegen

## Enum SpoofOuterProduct.OutProdType

- java.lang.Object
- - java.lang.Enum<SpoofOuterProduct.OutProdType>
  - - org.apache.sysds.runtime.codegen.SpoofOuterProduct.OutProdType

All Implemented Interfaces:
  Serializable, Comparable<SpoofOuterProduct.OutProdType>

Enclosing class:
  SpoofOuterProduct

    public static enum SpoofOuterProduct.OutProdType
    extends Enum<SpoofOuterProduct.OutProdType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AGG_OUTER_PRODUCT`
`CELLWISE_OUTER_PRODUCT`
`LEFT_OUTER_PRODUCT`
`RIGHT_OUTER_PRODUCT`

### Method Summary

All Methods Static Methods Concrete Methods
`static SpoofOuterProduct.OutProdType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SpoofOuterProduct.OutProdType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### LEFT_OUTER_PRODUCT

    public static final SpoofOuterProduct.OutProdType LEFT_OUTER_PRODUCT

#### RIGHT_OUTER_PRODUCT

    public static final SpoofOuterProduct.OutProdType RIGHT_OUTER_PRODUCT

#### CELLWISE_OUTER_PRODUCT

    public static final SpoofOuterProduct.OutProdType CELLWISE_OUTER_PRODUCT

#### AGG_OUTER_PRODUCT

    public static final SpoofOuterProduct.OutProdType AGG_OUTER_PRODUCT

### Method Detail

#### values

    public static SpoofOuterProduct.OutProdType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SpoofOuterProduct.OutProdType c : SpoofOuterProduct.OutProdType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SpoofOuterProduct.OutProdType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null